net.minecraft.world.gen.structure

## Class ComponentNetherBridgeEnd

- java.lang.Object
- - net.minecraft.world.gen.structure.StructureComponent
  - - net.minecraft.world.gen.structure.ComponentNetherBridgeEnd

-     public class ComponentNetherBridgeEnd
      extends StructureComponent

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentNetherBridgeEnd()`
    `ComponentNetherBridgeEnd(int par1, Random par2Random, StructureBoundingBox par3StructureBoundingBox, int par4)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addComponentParts(World par1World, Random par2Random, StructureBoundingBox par3StructureBoundingBox)` second Part of Structure generating, this for example places Spiderwebs, Mob Spawners, it closes Mineshafts at the end, it adds Fences...
    `static ComponentNetherBridgeEnd` | `func_74971_a(List par0List, Random par1Random, int par2, int par3, int par4, int par5, int par6)`

    - ### Methods inherited from class net.minecraft.world.gen.structure.StructureComponent

      `buildComponent, findIntersecting, func_143009_a, func_143010_b, getBoundingBox, getCenter, getComponentType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentNetherBridgeEnd

          public ComponentNetherBridgeEnd()

    - #### ComponentNetherBridgeEnd

          public ComponentNetherBridgeEnd(int par1,
                                  Random par2Random,
                                  StructureBoundingBox par3StructureBoundingBox,
                                  int par4)

  - ### Method Detail

    - #### func_74971_a

          public static ComponentNetherBridgeEnd func_74971_a(List par0List,
                                              Random par1Random,
                                              int par2,
                                              int par3,
                                              int par4,
                                              int par5,
                                              int par6)

    - #### addComponentParts

          public boolean addComponentParts(World par1World,
                                  Random par2Random,
                                  StructureBoundingBox par3StructureBoundingBox)

      second Part of Structure generating, this for example places Spiderwebs, Mob Spawners, it closes Mineshafts at the end, it adds Fences...
      Specified by:
        `addComponentParts` in class `StructureComponent`